# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define module_version 2.0.2
%define module_name Encode-Detect-CJK
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.2
Release: alt1
Summary: A Charset Detector, optimized for EastAsia charset and website content
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FO/FOOLFISH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Encode::Detect::CJK; #just use
_
_use Encode::Detect::CJK qw(detect); #use and export function 
_
_#simple use it
_my $charset=CharsetDetector::detect($octets);
_
_#use it with advanced option
_my $charset = CharsetDetector::detect($octets,$max_len,$is_consider_html_head_charset);
_#return the charset of binary string $octets
_#$max_len if $octets 's size is big, will make detect slow, sometimes you need specify $max_len for detect,null is for DEFAULT(unlimit max_len)
_#$is_consider_html_header_charset, by DEFAULT, detetor will consider 
_#_html header (e.g. <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> ) as a factor to detect charset, 
_#_if you don't want detetor to consider html header as a factor, set $is_consider_html_header_charset to "" or 0


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README
%perl_vendor_privlib/E*

%changelog
* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1
- initial import by package builder

